using UnityEngine;
using UnityEngine.Events;

public class ZombieDestroy : MonoBehaviour
{
    public UnityAction OnZombieDestroyed;

    private void OnDestroy()
    {
        OnZombieDestroyed?.Invoke();
    }

    public void DestroyZombie()
    {
        Destroy(gameObject);
    }
}